#!/usr/bin/env bash
set -ex

rm -fr public
nix shell nixpkgs#zola -c zola build
nix shell nixpkgs#nodejs_20 -c npm install
nix shell nixpkgs#nodejs_20 -c npm run abridge
nix shell nixpkgs#zola -c zola build
find public -type f -regextype posix-extended -regex '.*\.(htm|html|css|js|xml|xsl|txt|woff|woff2|svg|otf|eot|ttf)' -exec gzip --best -k -f {} \;
rsync -a --delete-after public/ /var/www/harald.hoyer.xyz/html/
chmod go-w -R /var/www/harald.hoyer.xyz/
